---
updatedAt: 2026-05-08T10:57:51.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Access Level - All Chargers

Set access level for all chargers on a site. Access Level can be Everyone, Registered Users og White
Listed Users.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Easee Cloud API",
    "version": "v1",
    "description": "OpenAPI Definitions for Easee Cloud APIs.\n"
  },
  "servers": [
    {
      "url": "https://api.easee.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [
    {
      "name": "Site",
      "x-displayName": "Site"
    }
  ],
  "paths": {
    "/api/sites/integration/{siteId}/access": {
      "put": {
        "tags": [
          "Site"
        ],
        "summary": "Access Level - All Chargers",
        "description": "Set access level for all chargers on a site. Access Level can be Everyone, Registered Users og White\nListed Users.",
        "operationId": "SiteIntegration_SetAccessLevel",
        "parameters": [
          {
            "name": "siteId",
            "in": "path",
            "required": true,
            "description": "Site ID",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "x-position": 1
          }
        ],
        "requestBody": {
          "x-name": "type",
          "description": "Access level",
          "content": {
            "application/json": {
              "schema": {
                "type": "string"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/octet-stream": {
                "schema": {
                  "type": "string",
                  "format": "binary"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```